$namespaces:
  sld:  "https://w3id.org/cwl/salad#"
  dct:  "http://purl.org/dc/terms/"
  rdf:  "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  rdfs: "http://www.w3.org/2000/01/rdf-schema#"
  xsd:  "http://www.w3.org/2001/XMLSchema#"
name: PrimitiveType
type: enum
symbols:
  - "sld:null"
  - "xsd:boolean"
  - "xsd:int"
  - "xsd:long"
  - "xsd:float"
  - "xsd:double"
  - "xsd:string"
doc:
  - |
    Salad data types are based on Avro schema declarations.  Refer to the
    [Avro schema declaration documentation](https://avro.apache.org/docs/current/spec.html#schemas) for
    detailed information.
  - "null: no value"
  - "boolean: a binary value"
  - "int: 32-bit signed integer"
  - "long: 64-bit signed integer"
  - "float: single precision (32-bit) IEEE 754 floating-point number"
  - "double: double precision (64-bit) IEEE 754 floating-point number"
  - "string: Unicode character sequence"
